%global momorel 5
%global srcver 4.4.2

%global qtver 4.6.3
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global sourcedir stable/%{name}/%{version}

Summary: Multimedia framework api
Name: phonon 
Version: %{srcver}
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPLv2+
URL: http://phonon.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
NoSource: 0
Source10: http://gstreamer.freedesktop.org/data/images/artwork/gstreamer-logo.svg
NoSource: 10
Source11: hi16-phonon-gstreamer.png
Source12: hi22-phonon-gstreamer.png
Source13: hi32-phonon-gstreamer.png
Source14: hi48-phonon-gstreamer.png
Source15: hi64-phonon-gstreamer.png
Source16: hi128-phonon-gstreamer.png

## Mandriva/upstreamable patches
Patch52: phonon-4.3.50-gstreamer-fix-seekable-query-failed.patch
Patch53: phonon-4.3.50-phonon-allow-stop-empty-source.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: automoc4 >= 0.9.86
BuildRequires: cmake >= %{cmakever}
BuildRequires: glib2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: qt-devel >= %{qtver}-%{qtrel}
BuildRequires: xine-lib-devel

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires(pre): coreutils
Requires: %{name} = %{version}-%{release}
Requires: qt-devel
Requires: pkgconfig

%description devel
%{summary}.

%package backend-xine
Summary: xine phonon backend
Group:   Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Provides: phonon-backend = %{version}-%{release}

%description backend-xine
%{summary}.

%package backend-gstreamer
Summary: Gstreamer phonon backend
Group:   Applications/Multimedia
Epoch:   2
Requires: %{name} = %{version}-%{release}
Requires: gstreamer-plugins-good
Provides: phonon-backend = %{version}-%{release}
Obsoletes: %{name}-backend-gst < 4.2.0-4
Provides:  %{name}-backend-gst = %{version}-%{release}

%description backend-gstreamer
%{summary}.

%prep
%setup -q
%patch52 -p1 -b .gstreamer-fix-seekable-query-failed
%patch53 -p1 -b .phonon-allow-stop-empty-source

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# symlink for qt/phonon compatibility
mkdir -p %{buildroot}%{_includedir}/phonon
ln -s ../KDE/Phonon %{buildroot}%{_includedir}/phonon/Phonon

# move the oxygen-only phonon-xine icons to hicolor
if [ ! -d %{buildroot}%{_datadir}/icons/hicolor ] ; then
  mv %{buildroot}%{_datadir}/icons/oxygen \
     %{buildroot}%{_datadir}/icons/hicolor
fi

# gstreamer icons
install -D -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/phonon-gstreamer.svg
install -D -m 0644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE13} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE14} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE15} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE16} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/phonon-gstreamer.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post backend-gstreamer
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun backend-gstreamer
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%posttrans backend-gstreamer
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%post backend-xine
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun backend-xine
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%pre devel
rm -rf %{_includedir}/phonon/Phonon

%posttrans backend-xine
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libphonon*.so.4*
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
# kde4-specific dirs
%dir %{_kde4_libdir}/kde4/plugins/phonon_backend
%dir %{_kde4_datadir}/kde4/services/phononbackends

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/KDE
%{_includedir}/KDE/Phonon
%{_includedir}/phonon
%{_libdir}/pkgconfig/phonon.pc
%{_libdir}/libphonon*.so

%files backend-gstreamer
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_kde4_datadir}/kde4/services/phononbackends/gstreamer.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-gstreamer.*

%files backend-xine
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%{_kde4_datadir}/kde4/services/phononbackends/xine.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-xine.*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-5m)
- full rebuild for mo7 release

* Fri Aug 13 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.2-4m)
- revise %%pre devel

* Fri Aug 13 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.2-3m)
- add %%pre devel to enable upgrading from STABLE_6

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-2m)
- rebuild against qt-4.6.3-1m

* Wed Jun  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-1m)
- update to 4.4.2

* Thu May  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.1-1m)
- update to 4.4.1

* Mon Mar 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-2m)
- NoSurce

* Sat Mar 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-1m)
- update to 4.4.0

* Mon Jan 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.80-2m)
- import upstream patch from Fedora devel
-- backport GStreamer backend bugfixes, fix random disappearing sound under KDE

* Sat Dec  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.80-1m)
- update to 4.3.80
- revive phonon, phonon-devel, phonon-backend-gstreamer

* Wed Dec  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.3.1-4m)
- change BR from xine-lib to xine-lib-devel

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.1-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-2m)
- this package provides phonon-backend-xine only

* Fri Mar  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-1m)
- update to 4.3.1
- apply apstream patches
- add some BuildRequres

* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to 4.3.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to 4.2.96

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.81-0.20090103.2m)
- update Patch0 for fuzz=0

* Sat Jan  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.81-0.20090103.1m)
- update to 4.2.80 svn 20090103 snapshot

* Tue Dec 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.80-1m)
- version 4.2.80
- BuildRequires: ImageMagick to convert icons

* Tue Dec 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.1-0.20081107.2m)
- apply xine-pulseaudio.patch
- BuildRequires: xine-lib

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.20081107.1m)
- update 4.2.1 svn 20081107 snapshot

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.20081012.1m)
- update 4.2.1 svn 20081012 snapshot

* Thu Sep  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.855256.1m)
- update to rev.855256 snapshot

* Wed Sep  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-3m)
- import pulseaudio.patch from Fedora
 +* Sun Aug 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2.0-4
 +- fix PulseAudio not being the default in the Xine backend (4.2 regression)

- * Mon Sep  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.1-0.855256.1m)
- - update to rev.855256 snapshot

- * Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.1-0.849968.1m)
- - update to rev.849968 snapshot
- - rename from phonon-backend-gst to phonon-backend-gstreamer

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.0-2m)
- change BuildRequires: gst-plugins-base-devel to gstreamer-plugins-base-devel

* Fri Jul 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to 4.2.0 (stable version)

* Wed Jun 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2-0.2.1m)
- import from Fedora devel

* Fri Jun 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.2.beta2
- phonon 4.2beta2 (aka 4.1.83)

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.1.20080614svn820634
- first try

